/*
* BrainBrowser: Web-based Neurological Visualization Tools
* (https://brainbrowser.cbrain.mcgill.ca)
*
* Copyright (C) 2011
* The Royal Institution for the Advancement of Learning
* McGill University
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Affero General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Affero General Public License for more details.
*
* You should have received a copy of the GNU Affero General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
* BrainBrowser v2.1.1
*
* Author: Tarek Sherif  <tsherif@gmail.com> (http://tareksherif.ca/)
* Author: Nicolas Kassis
* Author: Paul Mougel
*/
!function(){"use strict";var a="2.1.1";a=a.indexOf("BRAINBROWSER_VERSION")>0?"D.E.V":a,window.BrainBrowser={version:a},window.requestAnimationFrame=window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(a){return window.setTimeout(a,1e3/60)},window.cancelAnimationFrame=window.cancelAnimationFrame||function(a){window.clearTimeout(a)}}(),function(){"use strict";function a(b,c,d,e){return c>d?e(b):void Object.keys(b).forEach(function(f){a(b[f],c+1,d,e)})}BrainBrowser.createTreeStore=function(){var b={};return{set:function(){var a,c,d,e,f=arguments[arguments.length-1],g=Array.prototype.slice.call(arguments,0,arguments.length-1),h=b;for(c=0,d=g.length-1;d>c;c++){if(a=g[c],h[a]&&"object"!=typeof h[a])throw e="Hash key '["+g.slice(0,c+1).join("][")+"]' has already been set to a non-object value.\nCannot set '["+g.join("][")+"]'",BrainBrowser.events.triggerEvent("error",e),new Error(e);h[a]||(h[a]={}),h=h[a]}a=g[c],h[a]=f},get:function(){var a,c,d,e=Array.prototype.slice.call(arguments),f=b;if(0===e.length)return b;for(c=0,d=e.length-1;d>c;c++){if(a=e[c],void 0===f[a])return null;f=f[a]}return a=e[c],void 0!==f[a]?f[a]:null},remove:function(){var a,c,d,e,f=Array.prototype.slice.call(arguments),g=b;for(c=0,d=f.length-1;d>c;c++){if(a=f[c],void 0===g[a])return null;g=g[a]}return a=f[c],e=g[a],g[a]=void 0,e},reset:function(a){a=a&&"object"==typeof a?a:{},b=a},forEach:function(c,d){c=c>0?c:1,a(b,1,c,d)}}}}(),function(){"use strict";BrainBrowser.createColorMap=function(a){function b(a,b,c,f,h){var i=d(a,b,c);if(void 0!==i)return i;var j,k,l=g.colors;return k=b>=a?0:a>c?l.length-1:Math.floor((a-b)/h),j=l[k]?l[k]:[0,0,0,1],e(a,b,c,j),j}function c(a,b,c,d){var e,f,h,i=document.createElement("canvas"),j=new Array(256);for(i.width=256,i.height=c,e=0;256>e;e++)d?j[255-e]=e:j[e]=e;for(a=g.mapColors(j,{scale255:!0}),h=i.getContext("2d"),f=0;256>f;f++)h.fillStyle="rgb("+Math.floor(a[4*f])+", "+Math.floor(a[4*f+1])+", "+Math.floor(a[4*f+2])+")",h.fillRect(f,0,1,b);return i}function d(a,b,c){return f[a]&&f[a][b]&&f[a][b][c]}function e(a,b,c,d){f[a]=f[a]||{},f[a][b]=f[a][b]||{},f[a][b][c]=d}var f={},g={createCanvasWithScale:function(a,b,d){d=d||{};var e,f,h=g.colors,i=d.flip,j=b-a;return e=c(h,20,40,i),f=e.getContext("2d"),f.fillStyle="#FFA000",f.fillRect(.5,20,1,10),f.fillText(a.toPrecision(3),.5,40),f.fillRect(e.width/4,20,1,10),f.fillText((a+.25*j).toPrecision(3),.25*e.width,40),f.fillRect(e.width/2,20,1,10),f.fillText((a+.5*j).toPrecision(3),.5*e.width,40),f.fillRect(3*e.width/4,20,1,10),f.fillText((a+.75*j).toPrecision(3),.75*e.width,40),f.fillRect(e.width-.5,20,1,10),f.fillText(b.toPrecision(3),e.width-20,40),e},mapColors:function(a,c){c=c||{};var d,e,f,h=void 0===c.min?0:c.min,i=void 0===c.max?255:c.max,j=void 0===c.scale255?!1:c.scale255,k=void 0===c.brightness?0:c.brightness,l=void 0===c.contrast?1:c.contrast,m=void 0===c.alpha?1:c.alpha,n=c.destination||new Float32Array(4*a.length),o=i-h,p=(o+o/g.colors.length)/g.colors.length,q=j?255:1;for(m*=q,d=0,e=a.length;e>d;d++)f=b(a[d],h,i,o,p),n[4*d+0]=q*(f[0]*l+k),n[4*d+1]=q*(f[1]*l+k),n[4*d+2]=q*(f[2]*l+k),n[4*d+3]=m;return n},colorFromValue:function(a,c){c=c||{};var d=c.format||"float",e=void 0===c.min?0:c.min,f=void 0===c.max?255:c.max,h=f-e,i=(h+h/g.colors.length)/g.colors.length,j=Array.prototype.slice.call(b(a,e,f,h,i));return"float"!==d&&(j[0]=Math.floor(255*j[0]),j[1]=Math.floor(255*j[1]),j[2]=Math.floor(255*j[2]),j[3]=Math.floor(255*j[3]),"hex"===d&&(j[0]=("0"+j[0].toString(16)).slice(-2),j[1]=("0"+j[1].toString(16)).slice(-2),j[2]=("0"+j[2].toString(16)).slice(-2),j=j.slice(0,3).join(""))),j}};return function(){if(a){a=a.replace(/^\s+/,"").replace(/\s+$/,"");var b,c,d,e,f,h=a.split(/\n/),i=[];for(b=0,d=h.length;d>b;b++)if(f=h[b].replace(/^\s+/,"").replace(/\s+$/,"").split(/\s+/).slice(0,4),e=f.length,!(3>e)){for(c=0;e>c;c++)f[c]=parseFloat(f[c]);4>e&&f.push(1),i.push(f)}g.colors=i}}(),g}}(),function(){"use strict";var a=BrainBrowser.createTreeStore();BrainBrowser.config={set:function(b,c){b=b||"";var d=b.split(".");d.push(c),a.set.apply(a,d)},get:function(b){b=b||"";var c=b.split(".");return a.get.apply(a,c)}}}(),function(){"use strict";var a=["eventmodelcleanup"];BrainBrowser.events={unpropagatedEvent:function(b){a.push(b)},addEventModel:function(b){var c=[],d={};b.addEventListener=function(a,b){c[a]||(c[a]=[]),c[a].push(b)},b.triggerEvent=function(d){var e=this,f=Array.prototype.slice.call(arguments),g=f.slice(1),h=b.directPropagationTargets(d);c[d]&&c[d].forEach(function(a){a.apply(e,g)}),c["*"]&&c["*"].forEach(function(a){a.apply(e,f)}),-1===a.indexOf(d)&&(h.forEach(function(a){a.triggerEvent.apply(e,f)}),0===h.length&&b!==BrainBrowser.events&&BrainBrowser.events.triggerEvent.apply(e,f))},b.propagateEventTo=function(a,c){if(!BrainBrowser.utils.isFunction(c.allPropagationTargets))throw new Error("Propagation target doesn't seem to have an event model.");if(b===BrainBrowser.events||-1!==c.allPropagationTargets(a).indexOf(b))throw new Error("Propagating event '"+a+"' would cause a cycle.");d[a]=d[a]||[],-1===b.directPropagationTargets().indexOf(c)&&c.addEventListener("eventmodelcleanup",function(){this===c&&b.stopPropagatingTo(c)}),-1===d[a].indexOf(c)&&d[a].push(c)},b.propagateEventFrom=function(a,c){c.propagateEventTo(a,b)},b.stopPropagatingTo=function(a){Object.keys(d).forEach(function(b){d[b]=d[b].filter(function(b){return b!==a})})},b.directPropagationTargets=function(a){var b=[],c=void 0===a?Object.keys(d):[a,"*"];return c.forEach(function(a){var c=d[a]||[];c.forEach(function(a){-1===b.indexOf(a)&&b.push(a)})}),b},b.allPropagationTargets=function(a){var c=b.directPropagationTargets(a),d=Array.prototype.slice.call(c);return c.forEach(function(b){b.allPropagationTargets(a).forEach(function(a){-1===d.indexOf(a)&&d.push(a)})}),d}}},BrainBrowser.events.addEventModel(BrainBrowser.events)}(),function(){"use strict";var a=BrainBrowser.loader={loadFromURL:function(b,c,d){d=d||{};var e,f=new XMLHttpRequest,g=d.result_type,h=b.split("/"),i=h[h.length-1];f.open("GET",b),"arraybuffer"===g&&(f.responseType="arraybuffer"),f.onreadystatechange=function(){if(4===f.readyState){if(e=f.status,!(e>=200&&300>e||304===e)){var g="error loading URL: "+b+"\nHTTP Response: "+f.status+"\nHTTP Status: "+f.statusText+"\nResponse was: \n"+f.response;throw BrainBrowser.events.triggerEvent("error",g),new Error(g)}a.checkCancel(d)||c(f.response,i,d)}},f.send()},loadFromFile:function(a,b,c){var d=a.files;if(0!==d.length){c=c||{};var e=c.result_type,f=new FileReader,g=a.value.split("\\"),h=g[g.length-1];f.file=d[0],f.onloadend=function(a){b(a.target.result,h,c)},f.onerror=function(){var a="error reading file: "+h;throw BrainBrowser.events.triggerEvent("error",a),new Error(a)},"arraybuffer"===e?f.readAsArrayBuffer(d[0]):f.readAsText(d[0])}},loadColorMapFromURL:function(a,b,c){BrainBrowser.loader.loadFromURL(a,function(a,c,d){b(BrainBrowser.createColorMap(a),c,d)},c)},loadColorMapFromFile:function(a,b,c){BrainBrowser.loader.loadFromFile(a,function(a,c,d){b(BrainBrowser.createColorMap(a),c,d)},c)},checkCancel:function(a){a=a||{},BrainBrowser.utils.isFunction(a)&&(a={test:a});var b=a.test,c=a.cleanup,d=!1;return b&&b()&&(d=!0,c&&c()),d}}}(),function(){"use strict";BrainBrowser.utils={canvasEnabled:function(){return!!document.createElement("canvas")},webglEnabled:function(){var a=document.createElement("canvas");try{return!(!a||!window.WebGLRenderingContext||!a.getContext("webgl")&&!a.getContext("experimental-webgl"))}catch(b){return!1}},webWorkersEnabled:function(){return!!window.Worker},webGLErrorMessage:function(){var a,b='BrainBrowser requires <a href="http://khronos.org/webgl/wiki/Getting_a_WebGL_Implementation">WebGL</a>.<br/>';return b+=window.WebGLRenderingContext?"Your browser seems to support it, but it is <br/> disabled or unavailable.<br/>":"Your browser does not seem to support it.<br/>",b+='Test your browser\'s WebGL support <a href="http://get.webgl.org/">here</a>.',a=document.createElement("div"),a.id="webgl-error",a.innerHTML=b,a},isFunction:function(a){return a instanceof Function||"function"==typeof a},isNumeric:function(a){return!isNaN(parseFloat(a))},createDataURL:function(a,b){if(!window.URL||!window.URL.createObjectURL)throw new Error("createDataURL requires URL.createObjectURL which does not seem to be available is this browser.");return window.URL.createObjectURL(new Blob([a],{type:b||"text/plain"}))},min:function(){var a=Array.prototype.slice.call(arguments);a=1===a.length&&Array.isArray(a[0])?a[0]:a;var b,c,d=a[0];for(b=1,c=a.length;c>b;b++)a[b]<d&&(d=a[b]);return d},max:function(){var a=Array.prototype.slice.call(arguments);a=1===a.length&&Array.isArray(a[0])?a[0]:a;var b,c,d=a[0];for(b=1,c=a.length;c>b;b++)a[b]>d&&(d=a[b]);return d},getOffset:function(a){for(var b=0,c=0;a.offsetParent;)b+=a.offsetTop,c+=a.offsetLeft,a=a.offsetParent;return{top:b,left:c}},captureMouse:function(a){var b={x:0,y:0,left:!1,middle:!1,right:!1};return document.addEventListener("mousemove",function(c){var d,e,f=BrainBrowser.utils.getOffset(a);void 0!==c.pageX?(d=c.pageX,e=c.pageY):(d=c.clientX+window.pageXOffset,e=c.clientY+window.pageYOffset),b.x=d-f.left,b.y=e-f.top},!1),a.addEventListener("mousedown",function(a){a.preventDefault(),0===a.button&&(b.left=!0),1===a.button&&(b.middle=!0),2===a.button&&(b.right=!0)},!1),a.addEventListener("mouseup",function(a){a.preventDefault(),0===a.button&&(b.left=!1),1===a.button&&(b.middle=!1),2===a.button&&(b.right=!1)},!1),a.addEventListener("mouseleave",function(a){a.preventDefault(),b.left=b.middle=b.right=!1},!1),a.addEventListener("contextmenu",function(a){a.preventDefault()},!1),b},captureTouch:function(a){function b(b){var d,e,f,g,h,i=BrainBrowser.utils.getOffset(a);for(c.length=g=b.touches.length,f=0;g>f;f++)h=b.touches[f],void 0!==h.pageX?(d=h.pageX,e=h.pageY):(d=h.clientX+window.pageXOffset,e=h.clientY+window.pageYOffset),c[f]=c[f]||{},c[f].x=d-i.left,c[f].y=e-i.top}var c=[];return a.addEventListener("touchstart",b,!1),a.addEventListener("touchmove",b,!1),a.addEventListener("touchend",b,!1),c}}}(),function(){"use strict";function a(a){var c,d=BrainBrowser.config.get("worker_dir");if(null===d)throw c="error in SurfaceViewer configuration.\nBrainBrowser configuration parameter 'worker_dir' not defined.\nUse 'BrainBrowser.config.set(\"worker_dir\", ...)' to set it.",BrainBrowser.events.triggerEvent("error",c),new Error(c);var e,f={deindex:"deindex.worker.js",wireframe:"wireframe.worker.js"},g=0,h=BrainBrowser.config.get("model_types"),i=BrainBrowser.config.get("intensity_data_types");return null!==h&&Object.keys(h).forEach(function(a){f[a+"_model"]=h[a].worker}),null!==i&&Object.keys(i).forEach(function(a){f[a+"_intensity"]=i[a].worker}),e=Object.keys(f),0===e.length?void a():void(window.URL&&window.URL.createObjectURL?e.forEach(function(c){var h,i=d+"/"+f[c],j=new XMLHttpRequest;j.open("GET",i),j.onreadystatechange=function(){4===j.readyState&&(h=j.status,b.worker_urls[c]=h>=200&&300>h||304===h?BrainBrowser.utils.createDataURL(j.response,"application/javascript"):i,++g===e.length&&a())},j.send()}):(e.forEach(function(a){b.worker_urls[a]=d+"/"+f[a]}),a()))}var b=BrainBrowser.SurfaceViewer={start:function(c,d){if(console.log("BrainBrowser Surface Viewer v"+BrainBrowser.version),!BrainBrowser.utils.webWorkersEnabled())return void alert("Can't find web workers. Exiting.");if(!BrainBrowser.utils.webglEnabled())return void alert("Can't get WebGL context. Exiting.");var e={},f=document.getElementById(c),g={dom_element:f,model:null,model_data:null,mouse:BrainBrowser.utils.captureMouse(f),touches:BrainBrowser.utils.captureTouch(f),updated:!0,zoom:1,getAttribute:function(a){return e[a]},setAttribute:function(a,b){e[a]=b},getVertex:function(a,b){b=b||{};var c=g.model_data.get(b.model_name).vertices,d=3*a;return new THREE.Vector3(c[d],c[d+1],c[d+2])}};return Object.keys(b.modules).forEach(function(a){b.modules[a](g)}),BrainBrowser.events.addEventModel(g),BrainBrowser.events.addEventListener("*",function(a){"draw"!==a&&(g.updated=!0)}),a(function(){d(g)}),g}};b.modules={},b.worker_urls={},BrainBrowser.config.set("model_types.json.worker","json.worker.js"),BrainBrowser.config.set("model_types.mniobj.worker","mniobj.worker.js"),BrainBrowser.config.set("model_types.wavefrontobj.worker","wavefrontobj.worker.js"),BrainBrowser.config.set("model_types.freesurferasc.worker","freesurferasc.worker.js"),BrainBrowser.config.set("intensity_data_types.mniobj.worker","mniobj.intensity.worker.js"),BrainBrowser.config.set("intensity_data_types.freesurferasc.worker","freesurferasc.intensity.worker.js")}(),BrainBrowser.SurfaceViewer.parseIntensityData=function(a,b,c){"use strict";function d(){var b=new Worker(BrainBrowser.SurfaceViewer.worker_urls[f]);b.addEventListener("message",function(a){var d,e=a.data;for(d in e)e.hasOwnProperty(d)&&(g[d]=e[d]);c&&c(g),b.terminate()}),b.postMessage({cmd:"parse",data:a})}var e,f=b+"_intensity";if(!BrainBrowser.SurfaceViewer.worker_urls[f])throw e="error in SurfaceViewer configuration.\nIntensity data worker URL for "+b+" not defined.\nUse 'BrainBrowser.config.set(\"intensity_data_types."+b+".worker\", ...)' to set it.",BrainBrowser.events.triggerEvent("error",e),new Error(e);var g={};a&&("string"==typeof a?d(a):a.values?(g.values=a.values.concat(),g.min=BrainBrowser.utils.min(g.values),g.max=BrainBrowser.utils.max(g.values)):(g.values=a,g.min=BrainBrowser.utils.min(a),g.max=BrainBrowser.utils.max(a)))},BrainBrowser.SurfaceViewer.modules.annotations=function(a){"use strict";function b(b){b=b||{};var c=b.model_name||null;return!c&&a.model.children[0]&&(c=a.model.children[0].model_name),c}var c=BrainBrowser.createTreeStore(),d=.5,e=65280,f=16711680;a.annotations={add:function(e,g,h){h=h||{};var i,j,k=b(h);k&&(j=a.getVertex(e,{model_name:h.model_name}),i=a.drawDot(j.x,j.y,j.z,d,f),i.annotation_info={data:g,model_name:k,vertex:e,position:j},c.set(k,e,i),h.activate!==!1&&this.activate(e,h))},get:function(a,d){d=d||{};var e,f=b(d);return f?(e=c.get(f,a),d.activate!==!1&&this.activate(a,d),e):null},remove:function(d,e){e=e||{};var f,g=b(e);return g?(f=c.remove(g,d),a.model.remove(f),f):null},reset:function(){this.forEach(function(b){a.model.remove(b)}),c.reset()},activate:function(a,b){b=b||{};var c=this.get(a,{model_name:b.model_name,activate:!1});c&&this.forEach(function(a){a.material.color.setHex(a===c?e:f)})},forEach:function(a){c.forEach(2,a)},setMarkerOnColor:function(a){e=a},setMarkerOffColor:function(a){f=a},setMarkerRadius:function(a){d=a}}},BrainBrowser.SurfaceViewer.modules.color=function(a){"use strict";function b(b,c){var d,e,f,g,h,i=b.values,j=a.model_data.get(c).colors,k=b.range_min,l=b.range_max,m=a.getAttribute("flip_colors"),n=a.getAttribute("clamp_colors"),o=a.color_map.colors,p=new Float32Array(4*i.length),q=o.length,r=l-k,s=(r+r/q)/q,t=!1;for(d=0,f=i.length;f>d;d++)h=i[d],t=!1,k>h?n?g=0:t=!0:h>l?n?g=q-1:t=!0:g=Math.floor((h-k)/s),e=4*d,t?4===j.length?(p[e]=j[0],p[e+1]=j[1],p[e+2]=j[2],p[e+3]=j[3]):(p[e]=j[4*d],p[e+1]=j[4*d+1],p[e+2]=j[4*d+2],p[e+3]=j[4*d+3]):m?(p[e]=o[q-1-g][0],p[e+1]=o[q-1-g][1],p[e+2]=o[q-1-g][2],p[e+3]=o[q-1-g][3]):(p[e]=o[g][0],p[e+1]=o[g][1],p[e+2]=o[g][2],p[e+3]=o[g][3]);return p}function c(a,b){var c,d,e,f,g,h,i,j,k,l,m,n,o,p;for(i=0,k=b.length;k>i;i++){for(d=b[i],l=d.getObjectByName("__WIREFRAME__"),p=!!l,p&&(m=l.geometry.attributes.color.array),c=d.geometry,e=d.geometry.original_data.indices,f=c.attributes.color,g=f.array,h=0,j=e.length;j>h;h+=3)n=4*h,o=2*n,g[n]=a[4*e[h]],g[n+1]=a[4*e[h]+1],g[n+2]=a[4*e[h]+2],g[n+3]=1,g[n+4]=a[4*e[h+1]],g[n+5]=a[4*e[h+1]+1],g[n+6]=a[4*e[h+1]+2],g[n+7]=1,g[n+8]=a[4*e[h+2]],g[n+9]=a[4*e[h+2]+1],g[n+10]=a[4*e[h+2]+2],g[n+11]=1,p&&(m[o]=g[n],m[o+1]=g[n+1],m[o+2]=g[n+2],m[o+3]=g[n+3],m[o+4]=g[n+4],m[o+5]=g[n+5],m[o+6]=g[n+6],m[o+7]=g[n+7],m[o+8]=g[n+4],m[o+9]=g[n+5],m[o+10]=g[n+6],m[o+11]=g[n+7],m[o+12]=g[n+8],m[o+13]=g[n+9],m[o+14]=g[n+10],m[o+15]=g[n+11],m[o+16]=g[n+8],m[o+17]=g[n+9],m[o+18]=g[n+10],m[o+19]=g[n+11],m[o+20]=g[n],m[o+21]=g[n+1],m[o+22]=g[n+2],m[o+23]=g[n+3]);f.needsUpdate=!0,p&&(l.geometry.attributes.color.needsUpdate=!0)}}function d(a,c){var d,e,f,g,h,i,j,k=[];for(a.forEach(function(a){k.push(b(a,c))}),d=new Float32Array(k[0].length),e=0,i=k[0].length/4;i>e;e++)for(f=0,h=k.length;h>f;f++)g=4*e,j=a[f].alpha,d[g]+=k[f][g]*j,d[g+1]+=k[f][g+1]*j,d[g+2]+=k[f][g+2]*j,d[g+3]+=j;return d}var e=null;a.updateColors=function(f,g){function h(b){var d,e=a.model.getObjectByName(f.apply_to_shape,!0);d=e?[e]:a.model.children,c(b,d),a.triggerEvent("updatecolors",b),j&&j()}g=g||{};var i=g.blend,j=g.complete;clearTimeout(e),e=setTimeout(function(){h(i?d(f,g.model_name):b(f,g.model_name))},0)},a.setIntensity=function(b,c,d){d=d||{};var e=a.model_data.get(d.model_name).intensity_data;e&&b>=0&&b<e.values.length&&(e.values[b]=c,a.triggerEvent("updateintensitydata",e),a.updateColors(e,{complete:d.complete}))},a.setIntensityRange=function(b,c,d){d=d||{};var e=a.model_data.get(d.model_name).intensity_data;e.range_min=b,e.range_max=c,a.updateColors(e,{complete:d.complete}),a.triggerEvent("changeintensityrange",e)},a.blend=function(b){var c,d=a.blend_data,e=d.length;for(d[0].alpha=b,d[1].alpha=1-b,c=2;e>c;c++)d[c].alpha=0;a.updateColors(d,{blend:!0})}},BrainBrowser.SurfaceViewer.modules.loading=function(a){"use strict";function b(a,b,c){c=c||{};var d=c.format||"mniobj",g=c.parse||{};e(a,d,g,function(a){BrainBrowser.loader.checkCancel(c.cancel)||f(a,b,c)})}function c(b,c,d){d=d||{};var e=d.name||c,f=d.format||"mniobj",g=a.model_data.get(d.model_name),h=1===d.blend_index?d.blend_index:0,i=1-h,j={};a.getAttribute("fix_color_range")&&g.intensity_data&&(j={min:g.intensity_data.range_min,max:g.intensity_data.range_max}),a.blend_data=a.blend_data||[],k.parseIntensityData(b,f,function(b){var c,f;a.getAttribute("fix_color_range")&&void 0!==j.min&&void 0!==j.max?(c=j.min,f=j.max):(c=void 0===d.min?b.min:d.min,f=void 0===d.max?b.max:d.max),b.filename=e,b.apply_to_shape=d.apply_to_shape,b.applied=!1,g.intensity_data=b,a.blend_data[h]=b,b.range_min=c,b.range_max=f,a.blend_data[i]&&a.blend_data[i].applied?(a.blend_data[i].range_min=BrainBrowser.utils.min(a.blend_data[i].values),a.blend_data[i].range_max=BrainBrowser.utils.max(a.blend_data[i].values),a.blend(.5),a.triggerEvent("loadintensitydata",a.blend_data),a.triggerEvent("blendcolormaps",b.range_min,b.range_max,b)):(a.triggerEvent("loadintensitydata",b),a.updateColors(b,{complete:d.complete})),b.applied=!0})}function d(b,c,d){d=d||{};var e=a.model_data.get(d.model_name);a.color_map=b,a.triggerEvent("loadcolormap",b),e&&e.intensity_data&&a.updateColors(e.intensity_data,{filename:c})}function e(a,b,c,d){var e,f=b+"_model";if(!k.worker_urls[f])throw e="error in SurfaceViewer configuration.\nModel worker URL for "+b+" not defined.\nUse 'BrainBrowser.config.set(\"model_types."+b+".worker\", ...)' to set it.",BrainBrowser.events.triggerEvent("error",e),new Error(e);var g,h=new Worker(k.worker_urls[f]);h.addEventListener("message",function(a){var f=a.data;if(f.error)throw e="error parsing model.\n"+f.error_message+"\nFile type: "+b+"\nOptions: "+JSON.stringify(c),BrainBrowser.events.triggerEvent("error",e),new Error(e);d&&(g=new Worker(k.worker_urls.deindex),g.addEventListener("message",function(a){d(a.data)}),g.postMessage(f)),h.terminate()}),h.postMessage({data:a,options:c})}function f(b,c,d){d=d||{};var e=d.render_depth,f=d.complete;g(b,c,e),a.triggerEvent("displaymodel",a.model),f&&f()}function g(b,c,d){var e,f,g,j,k=a.model,l=b.shapes,m=b.name||c,n="line"===b.type;if(i(m,b),l){for(g=0,j=l.length;j>g;g++)f=b.shapes[g],e=h(f,n),e.model_name=m,e.name=f.name||c+"_"+(g+1),e.geometry.original_data={vertices:b.vertices,indices:f.indices,normals:b.normals,colors:b.colors},d&&(e.renderDepth=d),k.add(e);b.split&&(k.children[0].name="left",k.children[0].model_num=0,k.children[1].name="right",k.children[1].model_num=1)}}function h(a,b){var c,d,e=a.unindexed,f=a.centroid,g=e.position,h=e.normal||[],i=e.color||[],j=new THREE.BufferGeometry;return j.dynamic=!0,j.attributes.position={itemSize:3,array:new Float32Array(g),numItems:g.length},h.length>0?j.attributes.normal={itemSize:3,array:new Float32Array(h)}:j.computeVertexNormals(),i.length>0&&(j.attributes.color={itemSize:4,array:new Float32Array(i)}),b?(c=new THREE.LineBasicMaterial({vertexColors:THREE.VertexColors}),d=new THREE.Line(j,c,THREE.LinePieces)):(c=new THREE.MeshPhongMaterial({color:16777215,ambient:16777215,specular:1052688,shininess:150,vertexColors:THREE.VertexColors}),d=new THREE.Mesh(j,c),d.has_wireframe=!0),d.centroid=f,d.position.set(f.x,f.y,f.z),d}function i(a,b){m[a]=b}function j(){m={}}var k=BrainBrowser.SurfaceViewer,l=BrainBrowser.loader,m={};a.model_data={get:function(a){return a=a||Object.keys(m)[0],m[a]||null},forEach:function(a){Object.keys(m).forEach(function(b){a(m[b],b)})}},a.loadModelFromURL=function(a,c){l.loadFromURL(a,b,c)},a.loadModelFromFile=function(a,c){l.loadFromFile(a,b,c)},a.loadIntensityDataFromURL=function(a,b){l.loadFromURL(a,c,b)},a.loadIntensityDataFromFile=function(a,b){l.loadFromFile(a,c,b)},a.loadColorMapFromURL=function(a,b){l.loadColorMapFromURL(a,d,b)},a.loadColorMapFromFile=function(a,b){l.loadColorMapFromFile(a,d,b)},a.clearScreen=function(){for(var b=a.model.children;b.length>0;)a.model.remove(b[0]);j(),a.resetView(),a.triggerEvent("clearscreen")}},BrainBrowser.SurfaceViewer.modules.rendering=function(a){"use strict";function b(f){var l,m,n=a.model,o=h.position,p=i/a.zoom;window.requestAnimationFrame(b),d=c||f,c=f,l=c-d,m=15e-5*l,a.autorotate.x&&(n.rotation.x+=m,a.updated=!0),a.autorotate.y&&(n.rotation.y+=m,a.updated=!0),a.autorotate.z&&(n.rotation.z+=m,a.updated=!0),e!==a.zoom&&(e=a.zoom,a.updated=!0,a.triggerEvent("zoom",a.zoom)),a.updated&&(p>h.near&&p<.9*h.far&&(o.z=p,j.position.z=p),k.render(g,h),a.triggerEvent("draw",k,g,h),a.updated=!1)}var c,d,e,f=new THREE.WebGLRenderer({preserveDrawingBuffer:!0}),g=new THREE.Scene,h=new THREE.PerspectiveCamera(30,a.dom_element.offsetWidth/a.dom_element.offsetHeight,1,3e3),i=500,j=new THREE.PointLight(16777215),k=f,l={},m=f.domElement;a.model=new THREE.Object3D,g.add(a.model),a.render=function(){var c=a.dom_element;f.setClearColor(0),f.setSize(c.offsetWidth,c.offsetHeight),c.appendChild(f.domElement),h.position.z=i,j.position.set(0,0,i),g.add(j),a.autorotate={},window.onresize=function(){k.setSize(c.offsetWidth,c.offsetHeight),h.aspect=c.offsetWidth/c.offsetHeight,h.updateProjectionMatrix(),a.updated=!0},window.onresize(),b()},a.canvasDataURL=function(){return f.domElement.toDataURL()},a.addEffect=function(b){var c;BrainBrowser.utils.isFunction(THREE[b])&&(c=new THREE[b](f),c.setSize(a.dom_element.offsetWidth,a.dom_element.offsetHeight),l[b]=c)},a.setEffect=function(b){k=l[b]?l[b]:f,k.setSize(a.dom_element.offsetWidth,a.dom_element.offsetHeight),k.render(g,h),a.updated=!0},a.setCameraPosition=function(b,c,d){h.position.set(b,c,d),j.position.set(b,c,d),a.updated=!0},a.resetView=function(){var b,c,d,e,f=a.model,g=new THREE.Matrix4;for(g.getInverse(f.matrix),f.applyMatrix(g),h.position.set(0,0,i),j.position.set(0,0,i),a.zoom=1,d=0,e=a.model.children.length;e>d;d++)b=f.children[d],b.centroid?b.position.set(b.centroid.x,b.centroid.y,b.centroid.z):b.position.set(0,0,0),b.rotation.set(0,0,0),c=b.getObjectByName("__WIREFRAME__");a.updated=!0},a.setClearColor=function(b){f.setClearColor(b,1),a.updated=!0},a.drawDot=function(b,c,d,e,f){e=e||2,e=e>=0?e:0,f=f>=0?f:16711680;var h=new THREE.SphereGeometry(e),i=new THREE.MeshBasicMaterial({color:f}),j=new THREE.Mesh(h,i);return j.position.set(b,c,d),a.model?a.model.add(j):g.add(j),a.updated=!0,j},a.pick=function(b,c){b=void 0===b?a.mouse.x:b,c=void 0===c?a.mouse.y:c,b=b/a.dom_element.offsetWidth*2-1,c=-c/a.dom_element.offsetHeight*2+1;var d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x=a.model,y=new THREE.Projector,z=new THREE.Raycaster,A=new THREE.Vector3(b,c,h.near),B=null,C=new THREE.Matrix4;for(y.unprojectVector(A,h),z.set(h.position,A.sub(h.position).normalize()),d=z.intersectObject(x,!0),r=0;r<d.length;r++)if(!d[r].object.__PICK_IGNORE__){B=d[r];break}if(null!==B)if(f=B.object,i=B.indices,f.annotation_info)e={index:f.annotation_info.vertex,point:f.annotation_info.position,object:f};else{for(t=f.centroid,u=t.x,v=t.y,w=t.z,C.getInverse(f.matrixWorld),g=B.point.applyMatrix4(C),m=f.geometry.original_data.vertices,n=f.geometry.original_data.indices,j=o=n[i[0]],k=new THREE.Vector3(m[3*o],m[3*o+1],m[3*o+2]),l=g.distanceTo(new THREE.Vector3(k.x-u,k.y-v,k.z-w)),r=1,s=i.length;s>r;r++)o=n[i[r]],p=new THREE.Vector3(m[3*o],m[3*o+1],m[3*o+2]),q=g.distanceTo(new THREE.Vector3(p.x-u,p.y-v,p.z-w)),l>q&&(j=o,k=p,l=q);e={index:j,point:k,object:f}}else e=null;return e},function(){function b(b,c){var d,e,f=new THREE.Matrix4,g=b.x,k=b.y;if(null!==o)if(d=g-o,e=k-p,"rotate"===n){f.getInverse(l.matrix);var m=new THREE.Vector3(1,0,0).applyMatrix4(f).normalize();l.rotateOnAxis(m,e/150),f.getInverse(l.matrix),m=new THREE.Vector3(0,1,0).applyMatrix4(f).normalize(),l.rotateOnAxis(m,d/150)}else c=c||1,c*=h.position.z/i,h.position.x-=d*c*.25,j.position.x-=d*c*.25,h.position.y+=e*c*.25,j.position.y+=e*c*.25;o=g,p=k,a.updated=!0}function c(){var b,c=a.touches[0].x-a.touches[1].x,d=a.touches[0].y-a.touches[1].y,e=Math.sqrt(c*c+d*d);null!==q&&(b=e-q,a.zoom*=1+.01*b),q=e}function d(c){c.preventDefault(),c.stopPropagation(),b(a.mouse,1.1)}function e(d){d.preventDefault(),d.stopPropagation(),"zoom"===n?c():b(a.touches[0],2)}function f(){document.removeEventListener("mousemove",d,!1),document.removeEventListener("mouseup",f,!1),o=null,p=null}function g(){document.removeEventListener("touchmove",e,!1),document.removeEventListener("touchend",g,!1),o=null,p=null,q=null}function k(b){var c=Math.max(-1,Math.min(1,b.wheelDelta||-b.detail));b.preventDefault(),b.stopPropagation(),a.zoom*=1+.05*c}var l=a.model,n="rotate",o=null,p=null,q=null;m.addEventListener("mousedown",function(a){document.addEventListener("mousemove",d,!1),document.addEventListener("mouseup",f,!1),n=1===a.which?"rotate":"translate"},!1),m.addEventListener("touchstart",function(a){document.addEventListener("touchmove",e,!1),document.addEventListener("touchend",g,!1),n=1===a.touches.length?"rotate":2===a.touches.length?"zoom":"translate"},!1),m.addEventListener("mousewheel",k,!1),m.addEventListener("DOMMouseScroll",k,!1),m.addEventListener("contextmenu",function(a){a.preventDefault(),a.stopPropagation()},!1)}()},BrainBrowser.SurfaceViewer.modules.views=function(a){"use strict";function b(a,d){e>f?c(a,d):setTimeout(function(){b(a,d)},0)}function c(a,b){var c=new Worker(BrainBrowser.SurfaceViewer.worker_urls.wireframe),d=a.geometry.attributes;c.addEventListener("message",function(d){var e,g,h=d.data.positions,i=d.data.colors,j=new THREE.BufferGeometry;j.attributes.position={itemSize:3,array:h,numItems:h.length},j.attributes.color={itemSize:4,array:i},j.attributes.color.needsUpdate=!0,e=new THREE.LineBasicMaterial({vertexColors:THREE.VertexColors}),g=new THREE.Line(j,e,THREE.LinePieces),g.name="__WIREFRAME__",g.visible=!1,a.wireframe_active=!1,a.add(g),f--,b(g),c.terminate()}),c.postMessage({positions:d.position.array,colors:d.color.array}),f++}function d(b,c,d){b.visible=!d,c.visible=d,b.wireframe_active=d,a.updated=!0}var e=20,f=0,g={medialView:function(b){var c=a.model;b.split&&(c.getObjectByName("left").position.x-=100,c.getObjectByName("left").rotation.z-=Math.PI/2,c.getObjectByName("right").position.x+=100,c.getObjectByName("right").rotation.z+=Math.PI/2,c.rotation.x-=Math.PI/2)},lateralView:function(b){var c,d,e=a.model;b.split&&(c=e.getObjectByName("left"),d=e.getObjectByName("right"),c.position.x-=100,c.rotation.z-=Math.PI/2,d.position.x+=100,d.rotation.z+=Math.PI/2,e.rotation.x+=Math.PI/2,e.rotation.y+=Math.PI)},inferiorView:function(){a.model.rotation.y+=Math.PI},anteriorView:function(){a.resetView(),a.model.rotation.x-=Math.PI/2,a.model.rotation.z+=Math.PI},posteriorView:function(){a.resetView(),a.model.rotation.x-=Math.PI/2}};a.setTransparency=function(b,c){c=c||{};var d,e,f,g=c.shape_name,h=a.model.getObjectByName(g);d=h?[h]:a.model.children||[],d.forEach(function(a){e=a.material,e.opacity=b,e.transparent=1===b?!1:!0,f=a.getObjectByName("__WIREFRAME__"),f&&(f.material.opacity=e.opacity,f.material.transparent=e.transparent)}),a.updated=!0},a.setWireframe=function(c,e){e=e||{};var f,g,h=e.shape_name,i=a.model.getObjectByName(h);f=i?[i]:a.model.children||[],f.forEach(function(a){g=a.getObjectByName("__WIREFRAME__"),g?d(a,g,c):a.has_wireframe&&b(a,function(b){d(a,b,c)})})},a.setView=function(b,c){var d=b+"View",e=a.model_data.get(c);a.resetView(),e&&BrainBrowser.utils.isFunction(g[d])&&g[d](e),a.updated=!0},a.separateHalves=function(b,c){b=b||1,c=c||{},a.model_data.get(c.model_name).split&&(a.model.children[0].position.x-=b,a.model.children[1].position.x+=b),a.updated=!0}};